Move task to another boardPOST

Description

To move a task between boards, you need an API token for both the source and target board.

For the source board, authentication is done as described in Authentication.

For the target board, you need to send a X-Target-Authorization header in the request. It is constructed in the same way as the regular Authorization header, but with the target board's API token. If one of the tokens is a personal API token, the other token must be a personal API token of the same user.

Permissions

The source API token needs the Delete tasks permission. The target API token needs the Add tasks permission.

Request format

curl -X POST https://kanbanflow.com/api/v1/tasks/<TASK_ID>/move-to-board/<TARGET_BOARD_ID> -H "Content-type: application/json"
 -H "X-Target-Authorization: Bearer <SECRET_TOKEN_FOR_TARGET_BOARD>"
 -d '{ "<PROPERTY_1>": <PROPERTY_VALUE_1>, "<PROPERTY_2>": <PROPERTY_VALUE_2>, ... "<PROPERTY_N>": <PROPERTY_VALUE_N> }'

Example request

curl -X POST https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/move-to-board/B2fM3pfTU -H "Content-type: application/json" -H "X-Target-Authorization: Bearer 55d24f7baedb75b03d1f168aee6466a7"
 -d '{ "columnId": "CBO1VNGqDc4K" }'

Valid properties

PropertyTypeComment
columnIdStringThe ID of the column to move to. If not provided, the task will be moved to the first column. See Get board for information about how to get a column's ID.
swimlaneIdStringThe ID of the swimlane to move to, if any. If not provided and the board has swimlanes, the task will be moved to the first swimlane. See Get board for information about how to get a swimlane's ID.
groupingDateStringThe date that the task is grouped by. Can only be used if column is date grouped. Valid format is YYYY-MM-DD, e.g. 2023-12-31. If not set and moving task to a date grouped column, then it will automatically be set to today's date for the UTC timezone.